Story # 63815 (New): Reduce communication between server and client
Complexity:
Subject: Include file modification time in SYS_LASTCHANGED
Description

In the "pages" table in the database, each record (= each page) contains a "timestamp" (and a "SYS_LASTCHANGED"; the
documentation is not clear about the difference!). This reflects the date and time of last modification of the the page or of any content
object contained in it, and can be used to display the page's "Last update" date (and time, if needed).

However, when I insert an include file in Typoscript, then changes in the include file's content are NOT included in this timestamp.

I suggest the following:
All cObjects that include a file (i.e., FILE, PHP_SCRIPT_xxx, IMAGE, etc.) should get an extra property, say "includeModDate".

If this is set true (= 1), then the incoude file's modification date (PHP function filemdate()) is to be included in the page's timestamp.

If this property "includeModDate" is set false (= 0), the file's modification date is to be ignored. This way, minir changes (like spellimg
corrections) may be ignored in the page's modification date.

This way, any updates in the include file's contents can be taken into account when determining the page's update date and time.

This is my first use of this report system. Sorry if I used the wron form!
(issue imported from #M3820)

History
#1 - 2006-07-12 09:15 - Martin Kutschker

Changed subject to reflect issue, set severity to "feature".

As for the issue itself. I don't think it's possible to achieve. You would have to render the complete page to get the file modifcation time of all objects
(mind that some may be generated  [scaling, GIFBUILDER]). Then you have an updated SYS_LASTCHANGED but no way to use it as it is generated
already.

#2 - 2014-12-04 16:33 - Mathias Schreiber
- Description updated
- Status changed from New to Rejected
- Target version deleted (0)
- PHP Version deleted (4)

performance Impact is too high.
Te field is updated in the BE, there are too many possibilities to include outside data.
#3 - 2014-12-12 16:00 - Alexander Opitz
- Parent task set to #63815

#4 - 2014-12-12 16:06 - Alexander Opitz
- Status changed from Rejected to New
